Subject: Re: CVS commit: pkgsrc/pkgtools/pkg_install/files
To: Alistair Crooks <>
From: Johnny C. Lam <>
List: pkgsrc-changes
Date: 06/10/2005 07:22:14
On Fri, Jun 10, 2005 at 07:54:16AM +0100, Alistair Crooks wrote:
> On Fri, Jun 10, 2005 at 03:49:08AM +0000, Johnny C. Lam wrote:
> > On Fri, Jun 10, 2005 at 01:37:21AM +0000, Dan McMahill wrote:
> > > 
> > > Log Message:
> > > add autoconf test for missing (like in openbsd-3.6) or broken (like
> > > in AIX-4.3.2) PRIu64.  If it is missing or broken, provide one.  Should
> > > address PR30375.  Welcome to pkg_install-20050607
> > 
> > This should *not* have caused a version bump.  There is *no* functional
> > change here.  Please back out the version bump.
> What's the problem with the version bump? I think it should be there -
> that way, we can identify whether it will work on AIX and OpenBSD. Also,
> the way the dependencies work within pkgsrc means that the pseudo-date
> version should be bumped whenever anything changes in pkg_install (it
> used to be calculated directly from CVS Ids, after all).

This fix falls under the "fix broken compile on platform X" and has
historically never led to a version bump.  On systems that already
have pkg_install-20050530 installed, there is no difference between
it and a pkg_install with Dan's fix.  On OpenBSD and AIX, since it
wasn't possible to install pkg_install-20050530 prior to Dan's fix,
the only relevant fact is that it's possible to install it now with
an updated pkgsrc tree.


	-- Johnny Lam <>